Subject: Re: [PATCH] "master" should be treated no differently from any other branch

From: Andy Parkins <[email-masked]>
Date: Thu, 14 Dec 2006 16:25:07 +0000

On Thursday 2006 December 14 15:29, Johannes Schindelin wrote:

> I do not agree. There is usually a principal branch, where you collect the
> topics, and you do want to treat that special. As for the name: better

While there might _usually_ be a principal branch; the special casing is 
_always_ hard coded.

> have a convention here than configurability. You would not want "git" to
> be called "guitar" for some users, just because they happen to like that
> name more, either, right?

You're correct; but we're talking about branch names not program names.  
Making "master" special rather than simply a default means git is dictating 
policy.  It isn't git's place to decide what my branches are called, 
especially as it is git itself that lets me choose freely to begin with.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIEE